import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;


public class MyFrame extends JFrame
{
    private JButton b1;
    private JButton b2;
    
    public class MyActionListener implements ActionListener
    {
        public void actionPerformed(ActionEvent e)
        {
            Object source = e.getSource ();
            
            if(source == b1) 
            {
                System.out.println("You saved the first half");
            }
            else
            {
                System.out.println("You saved the second half");
            }
        }
    }
    
    public MyFrame(String title)
    {
        super(title);
        
        this.setSize (300, 400);
        this.setVisible (true);
        this.setLocationRelativeTo (null);
        this.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);
        
        FlowLayout layout = new FlowLayout();
        
        this.setLayout (layout);
        
        b1 = new JButton("Save first half");
        b1.setBackground (Color.RED);
        b1.setToolTipText ("Select this button");
       
        
        this.add (b1);
        
        b2 = new JButton("Save second half");
        this.add (b2);
        
        this.pack();
        
        MyActionListener listen = new MyActionListener();
        
        /*
        b1.addActionListener (listen);
        b2.addActionListener (listen);
        */
        
        b1.addActionListener (new ActionListener()
        {
            public void actionPerformed(ActionEvent e)
            {
                System.out.println("Button 1");
            }
        });
        
        b2.addActionListener (new ActionListener()
        {
            public void actionPerformed(ActionEvent e)
            {
                System.out.println("Button 2");
            }
        });
        
        
    }
    
    public static void main(String[] args)
    {
        MyFrame f1 = new MyFrame("frame 1");
        //MyFrame f2 = new MyFrame("frame 2");
        
        f1.getTitle ();
    }
}
